C+
C NAME:
C	ForeignArgSet
C PURPOSE:
C CALLING SEQUENCE:
	logical function ForeignArgSet(cStr,cName)
C INPUTS:
C	cStr		character*(*)	string with keywords
C	cName		character*(*)	name of keyword
C OUTPUTS:
C	ForeignArgSet	logical		.TRUE. if keyword is set
C					.FALSE if keyword is NOT set.
C INCLUDE:
	include		'dirspec.h'
	include		'filparts.h'
C CALLS:
C	itrim, LocFirst, ForeignArgFind
C MODIFICATION HISTORY:
C	NOV-2004, Paul Hick (UCSD/CASS; pphick@ucsd.edu)
C-
	    character	cStr *(*)
	    character	cName*(*)

	call ForeignArgFind(1,cStr,cName,i,j)

	ForeignArgSet = i .ne. 0
	if (ForeignArgSet) then
	    i = j
	    ForeignArgSet = itrim(cStr(i:)) .eq. 0
	    if (.not. ForeignArgSet) ForeignArgSet = LocFirst(cSwitch(:iSwitch),cStr(i:)) .eq. 1
	end if

	return
	end
